# $Revision: 1.12 $, $Date: 2004/04/04 20:05:05 $
Summary:	Emulation library of CPU 6502 and Pokey chip used in Atari XL/XE
Summary(pl):	Biblioteka emulacji procesora 6502 i ukadu Pokey z Atari XL/XE
Name:		libsap
Version:	1.51.1
Release:	6
License:	Freeware
Group:		Libraries
Source0:	http://kunik.republika.pl/sap/dl/%{name}-%{version}.tar.gz
# Source0-md5:	d3fd5419ec9665ef9d420b12890458d4
Patch0:		%{name}-shared.patch
URL:		http://kunik.republika.pl/sap/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SAP Library is a software emulation of CPU 6502 microprocessor and
Pokey chip. Those two chips are used in Atari XL/XE computers. SAP
Library is used to to run programs written in 6502 machine language,
programs that are using Pokey chip to play tunes and sounds.

%description -l pl
Biblioteka SAP to programowa emulacja procesora 6502 oraz ukado
Pokey. Te dwa ukady byy uywane w komputerach Atari XL/XE.
Biblioteka SAP suy do uruchamiania napisanych w jzyku maszynowym
6502 programw, ktre uywaj ukadu Pokey do odtwarzania muzyki i
dwikw.

%package devel
Summary:	Header files for libsap
Summary(pl):	Pliki nagwkowe libsap
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsap.

%description devel -l pl
Pliki nagwkowe libsap.

%package static
Summary:	Static libsap library
Summary(pl):	Statyczna biblioteka libsap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsap library.

%description static -l pl
Statyczna biblioteka libsap.

%prep
%setup -q
%patch -p1

%build
%{__make} libsap.la \
	CC="%{__cxx}" \
	OPTS="%{rpmcflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README LICENSE pokey.png
%attr(755,root,root) %{_libdir}/libsap.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsap.so
%{_libdir}/libsap.la
%{_includedir}/libsap.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsap.spec,v $
Revision 1.12  2004/04/04 20:05:05  qboosh
- updated shared patch, lib64 fixes; release 6

Revision 1.11  2004/01/21 23:11:04  qboosh
- release 5 for Ac

Revision 1.10  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/24 21:53:26  wolf
- cxx is required

Revision 1.7  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/08/10 14:50:08  kloczek
- release 4: use new %doc.

Revision 1.5  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.4  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 22:26:38  qboosh
- release 3: build shared and static versions

Revision 1.2  2002/02/03 16:39:54  kloczek
- cosmetics.

Revision 1.1  2002/02/03 11:02:36  qboosh
- new: 6502+Pokey emulation library (static only for now)
- based on spec from tarball
